## NAME

r.buildvrt - Build a VRT (Virtual Raster) from the list of input raster maps.

## KEYWORDS

raster, mosaic, virtual raster

## SYNOPSIS

r.buildvrt
r.buildvrt --help
r.buildvrt [input=name[,name,...]] [file=name] output=name [title=phrase] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name[,name,...]
  Name of input raster files
file=name
  Input file with one raster map name per line
output=name [required]
  Name for output raster map
title=phrase
  Title for resultant raster map

## DESCRIPTION

r.buildvrt builds a virtual raster (VRT) that is a mosaic of the list of input raster maps. The purpose of such a VRT is to provide fast access to small subsets of the VRT, also with multiple simultaneous read requests.

## NOTES

r.buildvrt creates a list of raster maps that can be located in different mapsets. The output is a read-only link to the original raster maps which is only valid if the original raster maps remain in the originally indicated mapset. A VRT can also be built from raster maps registered with r.external.

Reading the whole VRT is slower than reading the equivalent single raster map. Only reading small parts of the VRT provides a performance benefit.

A GRASS virtual raster can be regarded as a simplified version of GDAL's virtual raster format. The GRASS equivalent is simpler because issues like nodata, projection, resolution, resampling, masking are already handled by native GRASS raster routines.

## EXAMPLES

### VRT from a DEM in the North Carolina sample dataset

    # set the region
    g.region raster=elev_state_500m -p
    # higher resolution
    g.region res=50 -p
    # resample the DEM to 50 meter
    r.resamp.interp input=elev_state_500m output=elev_state_50m method=bilinear
    # create tiles
    r.tile input=elev_state_50m output=elev_state_50m_tile_ width=1000 height=1000 overlap=0
    # dump list of tiles to a file
    g.list type=raster pattern=elev_state_50m_tile_* output=tilelist
    # build a vrt
    r.buildvrt file=tilelist output=elev_state_50m_vrt

## SEE ALSO

r.tile, r.patch, r.external

The equivalent GDAL utility gdalbuildvrt

## AUTHOR

Markus Metz
Sponsored by mundialis

Last changed: $Date$

## SOURCE CODE

Available at: r.buildvrt source code (history)

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.8.0 Reference Manual